Package ghidra.app.util.bin.format.dwarf4

# Class DWARFLocation

java.lang.Object
ghidra.app.util.bin.format.dwarf4.DWARFLocation

public class DWARFLocation extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DWARFLocation(DWARFRange addressRange, byte[] location)`
  Create a Location given an address range and location expression.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DWARFLocation`
  `getEntryLocation(List<DWARFLocation> locList, long funcAddr)`
  `static DWARFLocation`
  `getFirstLocation(List<DWARFLocation> locList)`
  `byte[]`
  `getLocation()`
  `DWARFRange`
  `getRange()`
  `static DWARFLocation`
  `getTopLocation(List<DWARFLocation> locList, long funcAddr)`
  Get the location that corresponds to the entry point of the function If there is only a single location, assume it applies to whole function

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DWARFLocation

    public DWARFLocation(DWARFRange addressRange, byte[] location)
    Create a Location given an address range and location expression.
    Parameters:
      `addressRange` - memory range of this location
      `location` - byte array holding location expression

- ## Method Details

  - ### getRange

    public DWARFRange getRange()

  - ### getLocation

    public byte[] getLocation()

  - ### getTopLocation

    public static DWARFLocation getTopLocation(List<DWARFLocation> locList, long funcAddr)
    Get the location that corresponds to the entry point of the function If there is only a single location, assume it applies to whole function
    Parameters:
      `locList` -
      `funcAddr` -
    Returns:
      the byte array corresponding to the location expression

  - ### getEntryLocation

    public static DWARFLocation getEntryLocation(List<DWARFLocation> locList, long funcAddr)

  - ### getFirstLocation

    public static DWARFLocation getFirstLocation(List<DWARFLocation> locList)